:root {
    --header-height: 3.8rem;
}

.left-band {
    position: fixed;
    top: 0;
    left: 0;
    width: 50%;
    /* width: 50vw; */
    background-color: rgb(0, 0, 0);
    height: var(--header-height);
    z-index: 1500;
}

.right-band {
    position: fixed;
    top: 0;
    right: 0;
    width: 50%;
    background-color: rgb(255, 255, 255);
    height: var(--header-height);
    z-index: 1500;
}

header {    
    border-bottom: 1px solid black;
    /* background-color: black; */
    position: fixed;
    width: 100vw;
    display: flex;
    justify-content: space-between;
    height: var(--header-height);
    transition: height .3s;
    overflow: hidden;
    top: 0px;
    z-index: 1600;
}

.logo {
    display: flex;
    align-items: center;
    height: 3.8rem;
    /* margin-top: .7rem; */
    margin-left: 4rem;
    img {
        width: 4.8rem;
        /* border-radius: 3rem; */
    }
}

nav {
    z-index: 1500;
}

nav ul {
    height: var(--header-height);
    display: flex;
    flex-direction: row; 
    color: rgb(0, 0, 0);
    align-items: center;
    margin-right: 2rem;

    li { 
        font-size: 1.2rem;
        list-style-type: none;
        margin-inline: 2px;
        cursor: pointer;
        padding: 6px 17px 3px 17px;
        /* border-radius: 6px; */
        font-weight: 400;
        border: 1px solid transparent;
        
    }
    a {
        color: rgb(0, 0, 0);
        text-decoration: none;
        /* padding: 7px 17px 9px 17px; */
    }
    li:hover {
        /* background-color: rgb(208, 208, 208); */
            /* color: rgb(255, 255, 255);      */
            border: 1px solid rgb(0, 0, 0);
            transition: .6s;  
    }
}

.right-nav-box {
    display: grid;
    grid-template-columns: auto auto;
    height: 3.8rem;
}

.lang-shift {
    background-color: white;
    border: 1px solid rgb(59, 66, 81);
    border-radius: 30px;
    padding: 5px;
    font-size: 1rem;
    font-weight: bold;
    color: rgb(35, 39, 47);
    margin-right: 2.9rem;
    text-decoration: none;
    align-self: center;
}
.lang-shift:hover {
    background-color: rgb(88, 196, 220);
}

.menu-icon {
    display: none;
    justify-self: center;
    margin-top: .7rem;
    font-size: 2rem;
    cursor: pointer;
}

.bar1, .bar2, .bar3 {
    width: 30px;
    height: 3.0px;
    background-color: rgb(255, 255, 255);
    margin: 6px 0;
    transition: 0.4s;
    border-radius: 5px;
}

.change .bar1 {
    transform: translate(0, 9px) rotate(-45deg);
  }
  
.change .bar2 {opacity: 0;}
  
.change .bar3 {
    transform: translate(0, -9px) rotate(45deg);
}

@media (max-width: 900px) {
    header {
        display: grid;
        grid-template-columns: 146px auto;
        justify-content: initial;
        background-color: black;
        border-bottom: 1px solid rgba(128, 128, 128, 0.4);
    }
    nav {
        height: 3.7rem;
        justify-self: start;
    }
    nav ul {
        display: none;
        margin-right: 0;
        margin-top: 2rem;
        position: absolute;
        width: 100vw;
        left: 0;
        text-align: center;
        padding-block: 3rem 1rem;
        a {
            /* text-align: center; */
            padding-block: 17px;
        }
        li {
            justify-content: center;
            margin-bottom: .8rem;
            color: white;
        }
        li:hover {
            border: 1px solid transparent;
            background-color: rgb(84, 84, 84);
        }
    }
    .menu-icon {
        justify-self: end;
        display: inline-block;
        padding-top: 2px;
        /* width: 125px; */
        /* padding-left: 79px; */
        padding-right: 1rem;
        /* flex-grow: 2; */
    }
    .display-block {
        display:inline-block;
    }
    .logo {
        margin-left: 1rem;
        img {
            width: 4.8rem;
            /* border-radius: 3rem; */
        }
    }
    .right-nav-box {
        /* grid-column: 3/4; */
        /* grid-template-columns: auto 62.5px 62.5px; */
        grid-template-columns: 1fr max-content max-content;
    }
    .lang-shift {
        align-self: start;
        justify-self: end;
        margin-top: .9rem;
        margin-right: 10px;
    }
    .right-band {
        background-color: black;
    }
}